## r-cran-rcppannoy 0.0.11

=== DESCRIPTION ===
Package: RcppAnnoy
Type: Package
Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
        Neighbors
Version: 0.0.11
Date: 2018-10-30
Author: Dirk Eddelbuettel
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
 written for efficient memory usage as well an ability to load from / save to
 disk. This package provides an R interface by relying on the 'Rcpp' package,
 exposing the same interface as the original Python wrapper to 'Annoy'. See
 <https://github.com/spotify/annoy> for more on 'Annoy'. 'Annoy' is released
 under Version 2.0 of the Apache License. Also included is a small Windows
 port of 'mmap' which is released under the MIT license.
License: GPL (>= 2)
Depends: R (>= 3.1)
Imports: methods, Rcpp (>= 0.11.3)
LinkingTo: Rcpp
Suggests: RUnit, knitr, rmarkdown, pinp
NeedsCompilation: yes
VignetteBuilder: knitr
Packaged: 2018-10-30 11:13:35.827336 UTC; edd
Repository: CRAN
Date/Publication: 2018-11-01 18:40:08 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.11-1) unstable; urgency=medium

  * Initial release (closes: #914772)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Nov 2018 14:47:44 +0100

=== debian/control ===
Source: r-cran-rcppannoy
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.3)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
Homepage: https://cran.r-project.org/package=RcppAnnoy

Package: r-cran-rcppannoy
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Rcpp bindings for Annoy (approximate nearest neighbors)
 'Annoy' is a small C++ library for Approximate Nearest Neighbors
 written for efficient memory usage as well an ability to load from / save to
 disk. This package provides an R interface by relying on the 'Rcpp' package,
 exposing the same interface as the original Python wrapper to 'Annoy'.

## r-cran-rcppannoy 0.0.12

=== debian/changelog ===
r-cran-rcppannoy (0.0.12-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 12:01:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.3)
-Standards-Version: 4.2.1
+               r-cran-rcpp
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy

## r-cran-rcppannoy 0.0.14

=== debian/changelog ===
r-cran-rcppannoy (0.0.14-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:33 +0100

r-cran-rcppannoy (0.0.14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 10:29:41 +0100

r-cran-rcppannoy (0.0.13-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Wed, 25 Sep 2019 15:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy

## r-cran-rcppannoy 0.0.16

=== debian/changelog ===
r-cran-rcppannoy (0.0.16-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:44:19 +0000

r-cran-rcppannoy (0.0.16-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks: r-cran-uwot (<< 0.1.8-1~) (Closes: #955640)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Apr 2020 10:01:55 +0200

r-cran-rcppannoy (0.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Mar 2020 09:15:45 +0100

r-cran-rcppannoy (0.0.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Mar 2020 07:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy
+Rules-Requires-Root: no
 
 Package: r-cran-rcppannoy
 Architecture: any
@@ -20,6 +21,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
+Breaks: r-cran-uwot (<< 0.1.8-1~)
 Description: Rcpp bindings for Annoy (approximate nearest neighbors)
  'Annoy' is a small C++ library for Approximate Nearest Neighbors
  written for efficient memory usage as well an ability to load from / save to

## r-cran-rcppannoy 0.0.18

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
         Neighbors
-Version: 0.0.11
-Date: 2018-10-30
+Version: 0.0.18
+Date: 2020-12-15
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
@@ -15,11 +15,11 @@
  port of 'mmap' which is released under the MIT license.
 License: GPL (>= 2)
 Depends: R (>= 3.1)
-Imports: methods, Rcpp (>= 0.11.3)
+Imports: methods, Rcpp
 LinkingTo: Rcpp
-Suggests: RUnit, knitr, rmarkdown, pinp
+Suggests: tinytest
 NeedsCompilation: yes
-VignetteBuilder: knitr
-Packaged: 2018-10-30 11:13:35.827336 UTC; edd
+RoxygenNote: 7.1.1
+Packaged: 2020-12-15 21:29:16 UTC; edd
 Repository: CRAN
-Date/Publication: 2018-11-01 18:40:08 UTC
+Date/Publication: 2020-12-15 22:10:02 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.18-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 14:58:01 +0100

r-cran-rcppannoy (0.0.17-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 11:51:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy
@@ -21,7 +21,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-cran-uwot (<< 0.1.8-1~)
 Description: Rcpp bindings for Annoy (approximate nearest neighbors)
  'Annoy' is a small C++ library for Approximate Nearest Neighbors
  written for efficient memory usage as well an ability to load from / save to

## r-cran-rcppannoy 0.0.19

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
         Neighbors
-Version: 0.0.18
-Date: 2020-12-15
+Version: 0.0.19
+Date: 2021-07-30
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
@@ -18,8 +18,11 @@
 Imports: methods, Rcpp
 LinkingTo: Rcpp
 Suggests: tinytest
+URL: https://github.com/eddelbuettel/rcppannoy,
+        https://dirk.eddelbuettel.com/code/rcpp.annoy.html
+BugReports: https://github.com/eddelbuettel/rcppannoy/issues
 NeedsCompilation: yes
 RoxygenNote: 7.1.1
-Packaged: 2020-12-15 21:29:16 UTC; edd
+Packaged: 2021-07-30 16:52:34 UTC; edd
 Repository: CRAN
-Date/Publication: 2020-12-15 22:10:02 UTC
+Date/Publication: 2021-07-30 18:00:02 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.19-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 07:26:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/RcppAnnoy_([-\d.]*)\.tar\.gz

## r-cran-rcppannoy 0.0.20

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
         Neighbors
-Version: 0.0.19
-Date: 2021-07-30
+Version: 0.0.20
+Date: 2022-10-27
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
@@ -23,6 +23,6 @@
 BugReports: https://github.com/eddelbuettel/rcppannoy/issues
 NeedsCompilation: yes
 RoxygenNote: 7.1.1
-Packaged: 2021-07-30 16:52:34 UTC; edd
+Packaged: 2022-10-27 14:58:26 UTC; edd
 Repository: CRAN
-Date/Publication: 2021-07-30 18:00:02 UTC
+Date/Publication: 2022-10-27 23:37:56 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.20-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 11:50:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-rcppannoy
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
+Homepage: https://cran.r-project.org/package=RcppAnnoy
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
-Homepage: https://cran.r-project.org/package=RcppAnnoy
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcppannoy
 Architecture: any

## r-cran-rcppannoy 0.0.22

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
         Neighbors
-Version: 0.0.20
-Date: 2022-10-27
+Version: 0.0.22
+Date: 2024-01-23
 Author: Dirk Eddelbuettel
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
@@ -23,6 +23,6 @@
 BugReports: https://github.com/eddelbuettel/rcppannoy/issues
 NeedsCompilation: yes
 RoxygenNote: 7.1.1
-Packaged: 2022-10-27 14:58:26 UTC; edd
+Packaged: 2024-01-23 00:46:29 UTC; edd
 Repository: CRAN
-Date/Publication: 2022-10-27 23:37:56 UTC
+Date/Publication: 2024-01-23 14:33:04 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.22-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jan 2024 22:00:27 +0100

r-cran-rcppannoy (0.0.21-2) unstable; urgency=medium

  * Test-Depends: build-essential
    Closes: #1053845

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2023 21:50:00 +0200

r-cran-rcppannoy (0.0.21-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Manually add r-cran-codetools to Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 11 Sep 2023 06:09:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-tinytest,
        build-essential,
        r-cran-codetools
Restrictions: allow-stderr

## r-cran-rcppannoy 0.0.23

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Type: Package
 Title: 'Rcpp' Bindings for 'Annoy', a Library for Approximate Nearest
         Neighbors
-Version: 0.0.22
-Date: 2024-01-23
-Author: Dirk Eddelbuettel
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Version: 0.0.23
+Date: 2026-01-12
+Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
+                    comment = c(ORCID = "0000-0001-6419-907X")),
+             person("Erik", "Bernhardsson", role = c("aut"),
+                    comment = "Principal author of Annoy"))
 Description: 'Annoy' is a small C++ library for Approximate Nearest Neighbors 
  written for efficient memory usage as well an ability to load from / save to
  disk. This package provides an R interface by relying on the 'Rcpp' package,
@@ -22,7 +24,13 @@
         https://dirk.eddelbuettel.com/code/rcpp.annoy.html
 BugReports: https://github.com/eddelbuettel/rcppannoy/issues
 NeedsCompilation: yes
-RoxygenNote: 7.1.1
-Packaged: 2024-01-23 00:46:29 UTC; edd
+RoxygenNote: 7.3.2
+Encoding: UTF-8
+VignetteBuilder: Rcpp
+Packaged: 2026-01-12 12:24:51 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6419-907X>),
+  Erik Bernhardsson [aut] (Principal author of Annoy)
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2024-01-23 14:33:04 UTC
+Date/Publication: 2026-01-12 13:10:02 UTC

=== debian/changelog ===
r-cran-rcppannoy (0.0.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 08:55:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-rcppannoy
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-rcpp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppannoy.git
 Homepage: https://cran.r-project.org/package=RcppAnnoy
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-rcpp
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcppannoy
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
        r-cran-tinytest,
        build-essential,
        r-cran-codetools
Restrictions: allow-stderr
